Bug 1142496 - sky2 ethernet card does not work after resume from sleep
sky2 ethernet card does not work after resume from sleep
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-23 11:24 UTC by Marcus Seyfarth
Modified: 2022-03-04 21:39 UTC (History)
1 user (show)

See Also:
Found By: Community User
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
dmidecode output (27.75 KB, text/plain)
2019-07-23 12:50 UTC, Marcus Seyfarth
Details
Test fix patch (1.17 KB, patch)
2019-07-23 13:01 UTC, Takashi Iwai
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus Seyfarth 2019-07-23 11:24:44 UTC
I encounter the same symptoms as reported over in the following Ubuntu Bugtracker entry, my sky2 ethernet card does not work after resuming from sleep (S3). I use a custom compiled Kernel (tested with 5.2.2 and 5.3-RC1) from the Suse Github sources: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1798921

By the way, in my custom config I didn't use the module version but compiled in the sky2 driver. Hence a "modprobe -r sky2; modprobe -i sky2" (which was mentioned as a workaround) results in a "modprobe: FATAL: Module sky2 is builtin."

It was reported that adding "pci=nomsi,noaer" as Kernel parameters could workaround the issue, but I haven't tested it yet myself. This could have negative performance implications though and hope this can be fixed finally upstream in a less invasive way.
Comment 1 Marcus Seyfarth 2019-07-23 11:27:35 UTC
The system uses a Asus P6T WS Pro (X58 chipset) with a Intel Xeon X5675. The network card is a Marvell Yukon 2 onboard NIC.
Comment 2 Takashi Iwai 2019-07-23 11:53:19 UTC
You can still unbind and rebind the driver via sysfs even if modprobe doesn't work.

Is your problem exactly the same as Ubuntu?  That is, the syk2 driver shows the error related with the irq after resume?
Comment 3 Takashi Iwai 2019-07-23 11:56:30 UTC
BTW, sky2 driver has disable_msi option.  Try to boot with sky2.disable_msi=1 boot option.
Comment 4 Marcus Seyfarth 2019-07-23 12:19:52 UTC
(In reply to Takashi Iwai from comment #3)
> BTW, sky2 driver has disable_msi option.  Try to boot with
> sky2.disable_msi=1 boot option.

Yes, the issue is the same as mentioned in the Ubuntu bug report.

And thanks for the tip, I can confirm that booting with that boot option works around the issue and the network card successfully re-connects after a resume from sleep (which it does not without that boot parameter).
Comment 5 Takashi Iwai 2019-07-23 12:41:03 UTC
OK, then the fix should be easy.  The driver has a blacklist table based on the DMI entry, so we'd just need to add the entry matching with your devices.

Could you give the hardware detail?  At best, give the output of dmidecode, too.
Comment 6 Marcus Seyfarth 2019-07-23 12:50:32 UTC
Created attachment 811314 [details]
dmidecode output
Comment 7 Marcus Seyfarth 2019-07-23 12:51:34 UTC
Here is the output of lspci:

04:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E Gigabit Ethernet Controller (rev 12)
        Subsystem: ASUSTeK Computer Inc. Motherboard
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fbdfc000 (64-bit, non-prefetchable) [size=16K]
        I/O ports at d800 [size=256]
        Expansion ROM at fbdc0000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 3
        Capabilities: [50] Vital Product Data
        Capabilities: [5c] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [e0] Express Legacy Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Kernel driver in use: sky2
Comment 8 Takashi Iwai 2019-07-23 13:00:40 UTC
Thanks.  Could you try the patch below?
Comment 9 Takashi Iwai 2019-07-23 13:01:04 UTC
Created attachment 811315 [details]
Test fix patch
Comment 10 Marcus Seyfarth 2019-07-23 13:10:44 UTC
Comment on attachment 811315 [details]
Test fix patch

By the way, the same LAN controller is used on several other ASUS boards of that generation, e.g. the P6T Deluxe V2 as well. Probably with the same issue.
Comment 11 Takashi Iwai 2019-07-23 13:31:02 UTC
We can put "P6T" instead of "P6T WS PRO" in the patch.  DMI matching is done for the substring.
Comment 12 Marcus Seyfarth 2019-07-23 13:53:47 UTC
(In reply to Takashi Iwai from comment #11)
> We can put "P6T" instead of "P6T WS PRO" in the patch.  DMI matching is done
> for the substring.

That would cover at least more affected ASUS boards. But as shown in the Ubuntu bug report, this problem probably exists also on other Marvell NICs and probably on other motherboards (the LAN NIC there is not the same as mine but it wasn't mentioned which motherboard the reporter uses). Is there a more elegant solution than adding all affected boards to that blacklist?

Nevertheless I can confirm that your patch fixes the issue for me (without the need for the Kernel boot parameter). Hence you can get my Tested-by Marcus Seyfarth.
Comment 13 Takashi Iwai 2019-07-23 15:05:48 UTC
(In reply to Marcus Seyfarth from comment #12)
> (In reply to Takashi Iwai from comment #11)
> > We can put "P6T" instead of "P6T WS PRO" in the patch.  DMI matching is done
> > for the substring.
> 
> That would cover at least more affected ASUS boards. But as shown in the
> Ubuntu bug report, this problem probably exists also on other Marvell NICs
> and probably on other motherboards (the LAN NIC there is not the same as
> mine but it wasn't mentioned which motherboard the reporter uses). Is there
> a more elegant solution than adding all affected boards to that blacklist?

Please discuss it rather with upstream.  Currently the blacklist is the easiest workaround.

> Nevertheless I can confirm that your patch fixes the issue for me (without
> the need for the Kernel boot parameter). Hence you can get my Tested-by
> Marcus Seyfarth.

OK, will submit the fix and merge to openSUSE kernels.
Comment 14 Marcus Seyfarth 2019-07-23 15:28:17 UTC
> Please discuss it rather with upstream.  Currently the blacklist is the
> easiest workaround.
> 

As I am not familiar with the whole LKML process, could you or another Suse kernel developer bring up that problem upstream? I guess this workaround could be beneficial for a wider audience (as seen in the Ubuntu bug report). I tested your fix only with a Suse 5.3-RC1 Kernel source though. 

> 
> OK, will submit the fix and merge to openSUSE kernels.

Thank you very much for your fast response and the workaround! Feel free to mark this bug as fixed once your patch lands.
Comment 15 Marcus Seyfarth 2019-07-29 20:36:00 UTC
The fix made it or is nominated for stable Kernels as of this week, hence I am closing this bug as on my hardware the (updated) fix works as intended. 

However, it is a band aid solution as there are still other ASUS boards of that generation with the same LAN NIC and the X58 chipset (e.g. the P6X58D-E) which could potentially have the same issue. As I haven't looked at all ASUS P6* boards and cannot verify that they show the same issue, users of these boards need to step up if they still notice the same behaviour.
Comment 16 Swamp Workflow Management 2019-08-07 10:56:06 UTC
This is an autogenerated message for OBS integration:
This bug (1142496) was mentioned in
https://build.opensuse.org/request/show/721484 15.0 / kernel-source
Comment 17 Swamp Workflow Management 2019-08-16 16:22:38 UTC
openSUSE-SU-2019:1924-1: An update that solves 8 vulnerabilities and has 90 fixes is now available.

Category: security (important)
Bug References: 1051510,1055117,1071995,1083647,1083710,1085030,1086103,1102247,1106061,1111666,1114279,1119222,1123959,1127034,1127315,1129770,1130972,1131281,1133021,1134097,1134390,1134399,1135335,1135642,1135897,1137458,1137534,1137535,1137584,1137609,1137811,1137827,1139101,1139358,1139500,1140133,1140139,1140322,1140426,1140652,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1142023,1142112,1142117,1142118,1142119,1142220,1142221,1142254,1142265,1142350,1142351,1142354,1142359,1142450,1142496,1142635,1142685,1142701,1142857,1142868,1143003,1143045,1143105,1143185,1143189,1143191,1143466,1143507,1144474,1144518
CVE References: CVE-2018-20855,CVE-2019-10207,CVE-2019-1125,CVE-2019-11810,CVE-2019-13631,CVE-2019-13648,CVE-2019-14283,CVE-2019-14284
Sources used:
openSUSE Leap 15.0 (src):    kernel-debug-4.12.14-lp150.12.70.1, kernel-default-4.12.14-lp150.12.70.1, kernel-docs-4.12.14-lp150.12.70.1, kernel-kvmsmall-4.12.14-lp150.12.70.1, kernel-obs-build-4.12.14-lp150.12.70.1, kernel-obs-qa-4.12.14-lp150.12.70.1, kernel-source-4.12.14-lp150.12.70.1, kernel-syms-4.12.14-lp150.12.70.1, kernel-vanilla-4.12.14-lp150.12.70.1
Comment 21 Swamp Workflow Management 2019-09-19 22:37:08 UTC
This is an autogenerated message for OBS integration:
This bug (1142496) was mentioned in
https://build.opensuse.org/request/show/732033 15.1 / kernel-source
Comment 22 Swamp Workflow Management 2019-09-20 13:22:30 UTC
SUSE-SU-2019:2414-1: An update that solves 39 vulnerabilities and has 180 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137811,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.35.1, kernel-livepatch-SLE15_Update_14-1-1.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 23 Swamp Workflow Management 2019-09-20 13:48:51 UTC
SUSE-SU-2019:2412-1: An update that solves 40 vulnerabilities and has 184 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137069,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141013,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.32.1, kernel-obs-build-4.12.14-95.32.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 24 Swamp Workflow Management 2019-09-20 14:16:49 UTC
SUSE-SU-2019:2412-1: An update that solves 40 vulnerabilities and has 184 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137069,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141013,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    kernel-docs-4.12.14-95.32.1, kernel-obs-build-4.12.14-95.32.1
SUSE Linux Enterprise Server 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1
SUSE Linux Enterprise Live Patching 12-SP4 (src):    kgraft-patch-SLE12-SP4_Update_8-1-6.3.1
SUSE Linux Enterprise High Availability 12-SP4 (src):    kernel-default-4.12.14-95.32.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    kernel-default-4.12.14-95.32.1, kernel-source-4.12.14-95.32.1, kernel-syms-4.12.14-95.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 25 Swamp Workflow Management 2019-09-20 14:56:10 UTC
SUSE-SU-2019:2414-1: An update that solves 39 vulnerabilities and has 180 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1104902,1106061,1106284,1106434,1108382,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131565,1133021,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137811,1137884,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 15 (src):    kernel-default-4.12.14-150.35.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    kernel-default-4.12.14-150.35.1, kernel-docs-4.12.14-150.35.1, kernel-obs-qa-4.12.14-150.35.1
SUSE Linux Enterprise Module for Live Patching 15 (src):    kernel-default-4.12.14-150.35.1, kernel-livepatch-SLE15_Update_14-1-1.3.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    kernel-default-4.12.14-150.35.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    kernel-docs-4.12.14-150.35.1, kernel-obs-build-4.12.14-150.35.1, kernel-source-4.12.14-150.35.1, kernel-syms-4.12.14-150.35.1, kernel-vanilla-4.12.14-150.35.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    kernel-default-4.12.14-150.35.1, kernel-source-4.12.14-150.35.1, kernel-zfcpdump-4.12.14-150.35.1
SUSE Linux Enterprise High Availability 15 (src):    kernel-default-4.12.14-150.35.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 26 Swamp Workflow Management 2019-09-20 19:24:39 UTC
SUSE-SU-2019:2424-1: An update that solves 40 vulnerabilities and has 222 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1082635,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1106061,1106284,1106434,1108382,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131489,1131565,1133021,1134291,1134476,1134881,1134882,1135219,1135642,1135897,1135990,1136039,1136261,1136346,1136349,1136352,1136496,1136498,1136502,1136682,1137322,1137323,1137884,1138099,1138100,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141340,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143331,1143466,1143706,1143738,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144474,1144518,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    kernel-default-4.12.14-197.18.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    dtb-aarch64-4.12.14-197.18.1, kernel-debug-4.12.14-197.18.1, kernel-default-4.12.14-197.18.1, kernel-docs-4.12.14-197.18.1, kernel-kvmsmall-4.12.14-197.18.1, kernel-obs-qa-4.12.14-197.18.1, kernel-source-4.12.14-197.18.1, kernel-vanilla-4.12.14-197.18.1, kernel-zfcpdump-4.12.14-197.18.1
SUSE Linux Enterprise Module for Legacy Software 15-SP1 (src):    kernel-default-4.12.14-197.18.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    kernel-docs-4.12.14-197.18.1, kernel-obs-build-4.12.14-197.18.1, kernel-source-4.12.14-197.18.1, kernel-syms-4.12.14-197.18.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    kernel-default-4.12.14-197.18.1, kernel-source-4.12.14-197.18.1, kernel-zfcpdump-4.12.14-197.18.1
SUSE Linux Enterprise High Availability 15-SP1 (src):    kernel-default-4.12.14-197.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 27 Swamp Workflow Management 2019-09-24 22:23:26 UTC
openSUSE-SU-2019:2181-1: An update that solves 39 vulnerabilities and has 203 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1082635,1085030,1085536,1085539,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1106284,1106434,1108382,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123105,1124370,1129424,1129519,1129664,1131107,1131489,1131565,1134291,1134476,1134881,1134882,1135219,1135642,1135990,1136039,1136261,1136346,1136349,1136496,1136498,1136682,1137322,1137323,1137884,1138099,1138100,1138539,1139020,1139021,1140012,1140487,1141340,1141543,1141554,1142019,1142076,1142109,1142496,1142541,1142635,1142685,1143300,1143331,1143706,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
openSUSE Leap 15.1 (src):    kernel-debug-4.12.14-lp151.28.16.1, kernel-default-4.12.14-lp151.28.16.1, kernel-docs-4.12.14-lp151.28.16.1, kernel-kvmsmall-4.12.14-lp151.28.16.1, kernel-obs-build-4.12.14-lp151.28.16.1, kernel-obs-qa-4.12.14-lp151.28.16.1, kernel-source-4.12.14-lp151.28.16.1, kernel-syms-4.12.14-lp151.28.16.1, kernel-vanilla-4.12.14-lp151.28.16.1
Comment 31 Swamp Workflow Management 2019-10-14 13:26:41 UTC
SUSE-SU-2019:2651-1: An update that solves 42 vulnerabilities and has 210 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1071995,1078248,1082555,1085030,1085536,1085539,1087092,1090734,1091171,1093205,1102097,1104902,1104967,1106061,1106284,1106434,1108382,1109158,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1118689,1119086,1120876,1120902,1120937,1123034,1123105,1124370,1127988,1129424,1129519,1129664,1131107,1131304,1131565,1134291,1134881,1134882,1135219,1135642,1135897,1136261,1137069,1137865,1137884,1137959,1138539,1139020,1139021,1139101,1139500,1140012,1140155,1140426,1140487,1141013,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1143300,1143466,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145051,1145059,1145134,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146042,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146540,1146543,1146547,1146550,1146575,1146589,1146664,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148712,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149313,1149325,1149376,1149413,1149418,1149424,1149446,1149522,1149527,1149539,1149552,1149555,1149591,1149602,1149612,1149626,1149651,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150381,1150423,1150562,1150727,1150860,1150861,1150933,1151350,1151610,1151667,1151680,1151891,1151955,1152024,1152025,1152026,1152161,1152325,1152457,1152460,1152466,1152972,1152974,1152975
CVE References: CVE-2017-18551,CVE-2017-18595,CVE-2018-20976,CVE-2018-21008,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15291,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15 (src):    kernel-azure-4.12.14-5.41.1, kernel-source-azure-4.12.14-5.41.1, kernel-syms-azure-4.12.14-5.41.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 32 Swamp Workflow Management 2019-10-14 19:28:40 UTC
SUSE-SU-2019:2658-1: An update that solves 45 vulnerabilities and has 270 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1071995,1078248,1082555,1082635,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1104967,1106061,1106284,1106434,1108382,1109158,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123034,1123105,1123959,1124370,1127988,1129424,1129519,1129664,1131107,1131281,1131304,1131489,1131565,1132686,1133021,1134291,1134476,1134881,1134882,1135219,1135642,1135897,1135990,1136039,1136261,1136346,1136349,1136352,1136496,1136498,1136502,1136682,1137069,1137322,1137323,1137586,1137865,1137884,1137959,1137982,1138099,1138100,1138539,1139020,1139021,1139101,1139500,1140012,1140155,1140426,1140487,1141013,1141340,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143331,1143466,1143706,1143738,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144474,1144518,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145134,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146042,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146540,1146543,1146547,1146550,1146575,1146589,1146664,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148712,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149313,1149325,1149376,1149413,1149418,1149424,1149446,1149522,1149527,1149539,1149552,1149555,1149591,1149602,1149612,1149626,1149651,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150305,1150381,1150423,1150562,1150727,1150846,1150860,1150861,1150933,1151067,1151192,1151350,1151610,1151661,1151662,1151667,1151680,1151891,1151955,1152024,1152025,1152026,1152161,1152187,1152243,1152325,1152457,1152460,1152466,1152525,1152972,1152974,1152975
CVE References: CVE-2017-18551,CVE-2017-18595,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-11477,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15291,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Module for Public Cloud 15-SP1 (src):    kernel-azure-4.12.14-8.16.1, kernel-source-azure-4.12.14-8.16.1, kernel-syms-azure-4.12.14-8.16.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 34 Swamp Workflow Management 2019-10-22 16:26:47 UTC
SUSE-SU-2019:2738-1: An update that solves 40 vulnerabilities and has 225 fixes is now available.

Category: security (important)
Bug References: 1047238,1050911,1051510,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1078248,1082555,1082635,1085030,1085536,1085539,1086103,1087092,1090734,1091171,1093205,1102097,1103990,1104353,1104427,1104745,1104902,1106061,1106284,1106434,1108382,1109837,1111666,1112178,1112374,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1113994,1114279,1114542,1118689,1119086,1119113,1120046,1120876,1120902,1123105,1123959,1124370,1129424,1129519,1129664,1131107,1131281,1131489,1131565,1132426,1133021,1134291,1134476,1134881,1134882,1135219,1135642,1135897,1135990,1136039,1136261,1136346,1136349,1136352,1136496,1136498,1136502,1136682,1137322,1137323,1137884,1138099,1138100,1138539,1139020,1139021,1139101,1139500,1140012,1140426,1140487,1141340,1141450,1141543,1141554,1142019,1142076,1142109,1142117,1142118,1142119,1142496,1142541,1142635,1142685,1142701,1142857,1143300,1143331,1143466,1143706,1143738,1143765,1143841,1143843,1143962,1144123,1144333,1144375,1144474,1144518,1144582,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145018,1145051,1145059,1145189,1145235,1145256,1145300,1145302,1145357,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145446,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1145946,1146074,1146084,1146141,1146163,1146215,1146285,1146346,1146351,1146352,1146361,1146368,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146543,1146547,1146550,1146575,1146589,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148219,1148297,1148303,1148308,1148363,1148379,1148394,1148527,1148570,1148574,1148616,1148617,1148619,1148698,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149325,1149376,1149413,1149418,1149424,1149522,1149527,1149539,1149552,1149591,1149602,1149612,1149626,1149652,1149713,1149940,1149976,1150025,1150033,1150112,1150562,1150727,1150860,1150861,1150933
CVE References: CVE-2017-18551,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15099,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456
Sources used:
SUSE Linux Enterprise Module for Realtime 15-SP1 (src):    kernel-rt-4.12.14-14.11.1, kernel-rt_debug-4.12.14-14.11.1, kernel-source-rt-4.12.14-14.11.1, kernel-syms-rt-4.12.14-14.11.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    kernel-rt-4.12.14-14.11.1, kernel-rt_debug-4.12.14-14.11.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 35 Swamp Workflow Management 2019-10-23 19:44:16 UTC
SUSE-SU-2019:2756-1: An update that solves 44 vulnerabilities and has 368 fixes is now available.

Category: security (important)
Bug References: 1012382,1047238,1050911,1051510,1053043,1054914,1055117,1056686,1060662,1061840,1061843,1064597,1064701,1065600,1065729,1066369,1071009,1071306,1071995,1078248,1082555,1083647,1083710,1085030,1085536,1085539,1086103,1087092,1088047,1090734,1091171,1093205,1094555,1098633,1102097,1102247,1104902,1104967,1106061,1106284,1106383,1106434,1106751,1108382,1109137,1109158,1111666,1112178,1112894,1112899,1112902,1112903,1112905,1112906,1112907,1113722,1114279,1114542,1115688,1117158,1118139,1118689,1119086,1119222,1119532,1120423,1120566,1120876,1120902,1120937,1123034,1123080,1123105,1123959,1124167,1124370,1124503,1127034,1127155,1127315,1127988,1128432,1128902,1128910,1129424,1129519,1129664,1129770,1130972,1131107,1131281,1131304,1131565,1132154,1132390,1132686,1133021,1133401,1134097,1134291,1134303,1134390,1134671,1134881,1134882,1135219,1135296,1135335,1135556,1135642,1135661,1135897,1136157,1136261,1136811,1136896,1136935,1136990,1137069,1137162,1137221,1137366,1137372,1137429,1137444,1137458,1137534,1137535,1137584,1137586,1137609,1137625,1137728,1137739,1137752,1137811,1137827,1137865,1137884,1137959,1137995,1137996,1137998,1137999,1138000,1138002,1138003,1138005,1138006,1138007,1138008,1138009,1138010,1138011,1138012,1138013,1138014,1138015,1138016,1138017,1138018,1138019,1138374,1138375,1138539,1138589,1138719,1139020,1139021,1139101,1139500,1139771,1139782,1139865,1140012,1140133,1140139,1140155,1140322,1140328,1140405,1140424,1140426,1140428,1140487,1140637,1140652,1140658,1140715,1140719,1140726,1140727,1140728,1140814,1140887,1140888,1140889,1140891,1140893,1140903,1140945,1140948,1140954,1140955,1140956,1140957,1140958,1140959,1140960,1140961,1140962,1140964,1140971,1140972,1140992,1141013,1141401,1141402,1141450,1141452,1141453,1141454,1141478,1141543,1141554,1142019,1142076,1142109,1142112,1142117,1142118,1142119,1142129,1142220,1142221,1142350,1142351,1142354,1142359,1142450,1142496,1142541,1142635,1142685,1142701,1142857,1142868,1143003,1143105,1143185,1143300,1143466,1143507,1143765,1143841,1143843,1144123,1144333,1144474,1144518,1144718,1144813,1144880,1144886,1144912,1144920,1144979,1145010,1145024,1145051,1145059,1145189,1145235,1145300,1145302,1145388,1145389,1145390,1145391,1145392,1145393,1145394,1145395,1145396,1145397,1145408,1145409,1145661,1145678,1145687,1145920,1145922,1145934,1145937,1145940,1145941,1145942,1146042,1146074,1146084,1146163,1146285,1146346,1146351,1146352,1146361,1146376,1146378,1146381,1146391,1146399,1146413,1146425,1146512,1146514,1146516,1146519,1146524,1146526,1146529,1146531,1146540,1146543,1146547,1146550,1146575,1146589,1146664,1146678,1146938,1148031,1148032,1148033,1148034,1148035,1148093,1148133,1148192,1148196,1148198,1148202,1148303,1148363,1148379,1148394,1148527,1148574,1148616,1148617,1148619,1148698,1148712,1148859,1148868,1149053,1149083,1149104,1149105,1149106,1149197,1149214,1149224,1149313,1149325,1149376,1149413,1149418,1149424,1149446,1149522,1149527,1149539,1149552,1149555,1149591,1149602,1149612,1149626,1149651,1149652,1149713,1149940,1149959,1149963,1149976,1150025,1150033,1150112,1150381,1150423,1150562,1150727,1150860,1150861,1150933,1151350,1151610,1151667,1151671,1151891,1151955,1152024,1152025,1152026,1152161,1152325,1152457,1152460,1152466,1152972,1152974,1152975
CVE References: CVE-2017-18551,CVE-2017-18595,CVE-2018-20976,CVE-2018-21008,CVE-2019-10207,CVE-2019-11479,CVE-2019-14814,CVE-2019-14815,CVE-2019-14816,CVE-2019-14821,CVE-2019-14835,CVE-2019-15030,CVE-2019-15031,CVE-2019-15090,CVE-2019-15098,CVE-2019-15117,CVE-2019-15118,CVE-2019-15211,CVE-2019-15212,CVE-2019-15214,CVE-2019-15215,CVE-2019-15216,CVE-2019-15217,CVE-2019-15218,CVE-2019-15219,CVE-2019-15220,CVE-2019-15221,CVE-2019-15222,CVE-2019-15239,CVE-2019-15290,CVE-2019-15291,CVE-2019-15292,CVE-2019-15538,CVE-2019-15666,CVE-2019-15902,CVE-2019-15917,CVE-2019-15919,CVE-2019-15920,CVE-2019-15921,CVE-2019-15924,CVE-2019-15926,CVE-2019-15927,CVE-2019-9456,CVE-2019-9506
Sources used:
SUSE Linux Enterprise Real Time Extension 12-SP4 (src):    kernel-rt-4.12.14-8.6.1, kernel-rt_debug-4.12.14-8.6.1, kernel-source-rt-4.12.14-8.6.1, kernel-syms-rt-4.12.14-8.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.